$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_0_156-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_0_156-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = 'ad0881658a14f2f50c0070b6630083ca8bc1c3816fedd29d45512e44817cbf76'
  checksumType  = 'sha256'
  checksum64    = 'e3fdca93a8e1cb935cd04cfbee5cfd274d02aa385175f3e21dc8c1e4ce3062c6'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
